Page MenuHomePhabricator

Appends link to Kaltura
Closed, DeclinedPublic

Description

Author: geniice

Description:
Adds a link to Kaltura and the Kaltura logo to every video when played. Adding links to a third party commercial website to every video on wikipedia goes against generally accepted principles of wikimedia projects. The copyright status of the logo is also unclear.


Version: unspecified
Severity: minor
See Also:
T43908: Not well-suited for Wiktionary's audio samples: 2nd file not playing, useless "Timed text" button, big image shown after file finishes

Details

Reference
bz23965

Event Timeline

bzimport raised the priority of this task from to High.Nov 21 2014, 11:05 PM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz23965.
He7d3r added a comment.Nov 9 2012, 2:25 AM

Raising priority since it is now deployed on WMF wikis.

See also bug 41908 comment 0.

I'm looking into what we can do now.

inbox wrote:

According to http://en.wikipedia.org/wiki/Wikipedia:Gadget/proposals/Archive_3#Remove_MwEmbed this link can be "easily disabled for 3rd party sites via a configuration option".

...

If nobody knows what the configuration option is, maybe it should just be hidden with CSS until someone figures out how to get rid of it entirely?

inbox wrote:

Hidden through CSS on en.wp.

(In reply to comment #7)

Note The link was change in code to link to html5video.org a while back ( no
longer linking to kaltura.com )

Lowering priority as we don't link to Kaltura anymore.

Wondering if anything is left to do here, or whether this ticket can be fixed?

geniice wrote:

(In reply to comment #8)

(In reply to comment #7)

Note The link was change in code to link to html5video.org a while back ( no
longer linking to kaltura.com )

Lowering priority as we don't link to Kaltura anymore.
Wondering if anything is left to do here, or whether this ticket can be
fixed?

html5video.org is just another Kaltura site so we face exactly the same problem

Per comment 9.

Sorry for the delay in reporting on this. We've been discussing matters with Kaltura. Fabrice has been leading this conversation, so I'll turn it over to him.

Thanks, RobLa. We plan to revisit this issue shortly when we get ready to integrate Kaltura's new player with Media Viewer in coming weeks. Will discuss this with community members to make sure we address issues raised in this thread.

(In reply to Fabrice Florin from comment #12)

Thanks, RobLa. We plan to revisit this issue shortly when we get ready to
integrate Kaltura's new player with Media Viewer in coming weeks. Will
discuss this with community members to make sure we address issues raised in
this thread.

Fabrice: Has this happened or is this on the list for the next weeks?
And is this really high priority?

The file MwEmbedModules / EmbedPlayer / EmbedPlayer.config.php should have line 78 changed from

"EmbedPlayer.KalturaAttribution" => true,

to

"EmbedPlayer.KalturaAttribution" => false,

...

Change 165119 had a related patch set uploaded by Kaldari:
Remove link to Kaltura from video player

https://gerrit.wikimedia.org/r/165119

Change 165119 abandoned by Kaldari:
Remove link to Kaltura from video player

Reason:
Apparently the proper way to attribute Kaltura hasn't been settled, so abandoning for now.

https://gerrit.wikimedia.org/r/165119

This is going to be addressed by the next version of the player, but isn't going to be changed in the current implementation.

(In reply to Ryan Kaldari from comment #17)

This is going to be addressed by the next version of the player

Where's "the next version of the player" defined/explained? When is that going to happen? Is there a plan for a "next version" or is that wishful thinking?

Gilles raised the priority of this task from High to Unbreak Now!.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:20 AM
Dinoguy1000 added a subscriber: Dinoguy1000.EditedAug 7 2018, 10:39 AM

It's been almost four years since the last significant activity in this issue; what's the current status here? It's worth noting that en still has the CSS to hide the logo/link, so if that's not being added any more, the CSS can be removed.

(I didn't realize when I posted this comment that this issue had been closed - presumably prior to the Phabricator migration, since there's no record of the status changing - though my comment relating to en's CSS still stands.)

The current status is that we still want to get rid of the player all together and T100106: Replace Kaltura player with Video.js but that this has no significant resource allocation other than @brion.

@Dinoguy1000 we certainly can trim the enwiki css if it's useless - is there an example that can demonstrate this issue to verify?

It sounds like the CSS might still be needed, since the Kaltura player is still being used? Would probably be reasonably easy to check, though I think it's also a pretty minor thing to spend time on, rather than just waiting for the player to be replaced.

Nardog added a subscriber: Nardog.Jul 28 2019, 1:17 PM